0.0
There's a lot of open issues
Vagrant provider plugin to support zones
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Dependencies

Development

~> 2.2, >= 2.2.25
~> 13.0, >= 13.0.6
~> 3.4
~> 0.5, >= 0.5.0
~> 3.10, >= 3.10.0
~> 3.10, >= 3.10.0
~> 1.0
~> 0.6, >= 0.6.0
~> 2.4, >= 2.4.0
~> 1.11, >= 1.11.0

Runtime

~> 2.0, >= 2.0.4
~> 1.0
~> 1.0
~> 1.1
<= 1.13.6
~> 1.7, >= 1.7.5
 Project Readme

vagrant-zones

Vagrant Plugin which can be used to managed Bhyve, LX and native zones on illumos (OmniOSce)

This project is still in the early stages, any feedback is much appreciated

Gem Version

Installation

Publiched Package locations:

Setup OS Installation

  • ooce/library/libarchive
  • system/bhyve
  • system/bhyve/firmware
  • ooce/application/vagrant
  • ruby-26
  • zadm

Setup vagrant-zones

To install it in a standard vagrant environment:

vagrant plugin install vagrant-zones

Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/STARTcloud/vagrant-zones/issues

License

This project is licensed under the AGPL v3 License - see the LICENSE file for details

Built With

  • Vagrant - Portable Development Environment Suite.
  • bhyve - Hypervisor.
  • zadm - Bhyve Management tool

Contributing Sources and References

Contributing

Please read CONTRIBUTING.md for details on our code of conduct, and the process for submitting pull requests to us.

Authors

  • Thomas Merkel - Initial work - Skylime
  • Mark Gilbert - Takeover - Makr91

See also the list of contributors who participated in this project.

Acknowledgments

  • Hat tip to anyone whose code was used